## display-dhammapada 0.15

=== Makefile ===
SHELL = /bin/sh
package = display-dhammapada
Package = $(package)
VERSION = 0.15

#ARCHITECTURE = i386
ARCHITECTURE=$(shell arch="`if test -x /usr/bin/dpkg; \
	then dpkg --print-architecture; else uname -m; fi`" \
	&& if [ "$${arch%%i?86}"y = y ]; then arch=i386; fi \
	&& echo "$$arch")

# flags for your C compiler:
OPT = -O2
WARN = -ansi -Wall -Wno-unused
CFLAGS  = $(OPT) $(WARN) $(DEFS)

# install files with this ownership:
owner=root
group=staff

install_own = -o $(owner) -g $(group)
BIN      = display-dhammapada
BINshort = dp
CC      = cc
DP       = dhammapada-english-transl.txt
DEBDIST	= ../$(package)_$(VERSION)_$(ARCHITECTURE).changes \
	../$(package)_$(VERSION)_$(ARCHITECTURE).deb \
	../$(package)_$(VERSION).dsc \
	../$(package)_$(VERSION).tar.gz
DEBIAN	= debian/changelog debian/control debian/copyright debian/rules 
DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog COPYING copyright
EXAMPLES = examples/profile
#GZIPDOCS = yes
SRCS    = $(BIN).c $(Package).spec.in Makefile INSTALL
prefix  = /usr/local
exec_prefix = $(prefix)
bindir  = $(exec_prefix)/bin
docsdir  = $(prefix)/doc/$(Package)
examplesdir = $(docsdir)/examples
datadir  = $(prefix)/share/$(Package)
# relative symlink from docsdir to datadir:
relDATADIR = ../../share/$(Package)
DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP)"' \
	'-DDPPATHNAME2="$(datadir)/$(DP)"' '-DVERSION="$(VERSION)"'

all:	$(BIN)

$(BIN):

clean:
	-rm  -R -f *.o *~ *.bak 1 2 t tmp \#*\# errors* core* \
		a.out typescript debian/tmp debian/files* debian/substvars* \
		./stdin ./stdout $(BIN) $(BINshort) $(Package)-*.spec

debdist $(DEBDIST):	$(DEBIAN) $(DOCS) $(EXAMPLES) $(MAN1) $(SRCS)
	test -r $$HOME/.pgp/secring.pgp
	dpkg-buildpackage

dist tar:	clean all $(Package)-$(VERSION).spec
	-rm -f *.o
	cd .. && tar -cvzf $(Package)-$(VERSION).tar.gz $(Package)-$(VERSION)/
	

distclean: clean
	-rm ../$(package)_$(VERSION)_$(ARCHITECTURE).deb

disttest:	$(DEBDIST)
	cp $(addprefix ../$(package)_$(VERSION).,dsc tar.gz) /tmp/
	cd /tmp && tar -xvzf $(package)_$(VERSION).tar.gz
	cd /tmp/$(package)-$(VERSION) && \
			make install test uninstall
	make rpm
	rpm --install --force --nodeps /usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-0.$(ARCHITECTURE).rpm
	rpm -qisv display-dhammapada
	rm -R -f /tmp/$(package)-$(VERSION)
	cd /tmp && dpkg-source -x $(package)_$(VERSION).dsc
	cd /tmp/$(package)-$(VERSION) && \
		dpkg-buildpackage -B
	dpkg --contents /tmp/$(package)_$(VERSION)_$(ARCHITECTURE).deb
	-rpm --erase $(Package)
	dpkg --install  /tmp/$(package)_$(VERSION)_$(ARCHITECTURE).deb
	cd /tmp/$(package)-$(VERSION) && rm $(DEBDIST)
	rm -R -f /tmp/$(package)-$(VERSION)

install:	all $(DOCS) $(MAN1)
	install -d $(install_own) -m 2775	$(bindir)
	install -s $(install_own) -m 775	$(BIN)		$(bindir)
	if [ $(BINshort)_ != _ ]; \
	then \
		ln -f -s	$(BIN)		$(bindir)/$(BINshort) \
		|| ln -f	$(BIN)		$(bindir)/$(BINshort); \
	fi
	install -d $(install_own) -m 2775	$(datadir)
	install    $(install_own) -m 664	$(DP)		$(datadir)
	install -d $(install_own) -m 2775	$(docsdir)
	cp -p -f -d				$(DOCS)		$(docsdir)
	cd $(docsdir) && chown $(owner).$(group) $(DOCS) && chmod 664 $(DOCS)
	install -d $(install_own) -m 2775	$(examplesdir)
	install    $(install_own) -m 664	$(EXAMPLES)	$(examplesdir)
	[ _$(GZIPDOCS) != _yes ] || gzip --best --force --verbose $(docsdir)/changelog
	if [ $(datadir) != $(docsdir) ]; \
	then \
		ln -f -s $(relDATADIR)/$(DP) $(docsdir) \
		|| ln -f $(relDATADIR)/$(DP) $(docsdir); \
	fi

realclean: clean
	-rm $(DEBDIST)

$(Package)-$(VERSION).spec:	$(Package).spec.in
	-rm -f $(Package)*.spec
	[ $(VERSION)x != x ]
	Summary="`sed -n -e 's/^Description:[[:space:]]*//p' \
						$(Package)-$(VERSION).lsm`" \
	&& Copying="`sed -n -e 's/^Copying-policy:[[:space:]]*//p' \
						$(Package)-$(VERSION).lsm`" \
	&& sed -e 's/$${version}/$(VERSION)/g; s/$${summary}/'"$${Summary}"'/g; \
		 s/$${copying}/'"$${Copying}"/g \
		 $< >tmp
	sed -n -e '1,/^%description/p' tmp >$@
	sed -n -e '/^Description:/,/^[^[:space:]]/!d; /^[[:space:]]/p' \
		$(Package)-$(VERSION).lsm >>$@
	sed -n -e '1,/^%description/!p' tmp >>$@
	rm -f tmp

rpm:		tar $(Package)-$(VERSION).spec
		cp ../$(Package)-$(VERSION).tar.gz /usr/src/redhat/SOURCES
		rpm --clean -v -ba $(Package)-$(VERSION).spec

rpmi:
		rpm -vv -bi --short-circuit $(Package)-$(VERSION).spec

rpmsign:
	test -r $$HOME/.pgp/secring.pgp
	rpm -vv --resign \
		/usr/src/redhat/SRPMS/$(Package)-$(VERSION)-*.src.rpm \
		/usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-*.$(ARCHITECTURE).rpm

rpmdist:	rpm rpmsign

test check:
	@echo Testing installation...
	$(bindir)/$(BIN)
	-$(bindir)/$(BINshort)
	. $(examplesdir)/profile
	@echo -n "Press <enter> ... "
	@read a

uninstall:
	rm -f $(bindir)/$(BIN) $(bindir)/$(BINshort) \
				$(datadir)/$(DP)
	cd $(docsdir) \
		&& for f in $(DOCS); do rm -f $$f $$f.gz; done
	cd $(examplesdir) \
		&& for f in $(EXAMPLES); \
			do rm -f $${f##*/} $${f##*/}.gz; done
	-rmdir $(examplesdir) 
	-rmdir $(datadir) $(docsdir)

UPHOST=sunsite.unc.edu
upload: #dist debdist ../$(Package)-$(VERSION).tar.gz $(Package)-$(VERSION).lsm
	[ $(VERSION)x != x ]
	[ "`rpm --checksig \
		/usr/src/redhat/SRPMS/$(Package)-$(VERSION)-*.src.rpm \
		/usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-*.$(ARCHITECTURE).rpm \
	| grep -c 'pgp md5 OK$$'`" = 2 ]
	set -x; xPWD=`pwd` && echo -e \
	   open -r -d 10 ftp.redhat.com\\n \
	   cd /pub/Incoming\\n \
	   mput /usr/src/redhat/SRPMS/$(Package)-$(VERSION)-*.src.rpm \
	    /usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-*.rpm\\n \
	   dir $(Package)-$(VERSION)-0.src.rpm $(Package)-$(VERSION)-0.i386.rpm\\n \
	   redir \>$$xPWD/../$(Package)-$(VERSION).ftp.redhat.com\\n \
	| ncftp
	set -x; xPWD=`pwd` && echo -e open -r -d 10 $(UPHOST)\\n \
	   cd /incoming/Linux\\n \
	   lcd $$xPWD\\n \
	   mput ../$(Package)-$(VERSION).tar.gz $(Package)-$(VERSION).lsm\\n \
	   dir $(Package)*\\n \
	   redir $(Package)* \>../$(Package)-$(VERSION).$(UPHOST)\\n \
	| ncftp
	dupload --to erlangen ../$(package)_$(VERSION)_$(ARCHITECTURE).changes

# vi: set noexpandtab:

=== debian/control ===
Source: display-dhammapada
Section: misc
Priority: extra
Maintainer: Ricardas Cepas <rch@debian.org>
Standards-Version: 2.3.0.1

Package: display-dhammapada
Architecture: any
Depends: ${shlibs:Depends}
Description: Displays verse from Dhammapada.
 Displays a random verse (a dhammapada) from English translation of the
 Dhammapada. You can put it in your shell startup script.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

SHELL = /bin/sh
package = display-dhammapada
VERSION := $(subst $(package)-,,$(notdir $(shell pwd)))

ARCHITECTURE := $(shell dpkg --print-architecture)
BIN      = display-dhammapada

build:	checkdir
	make prefix=/usr all

clean:	checkdir
	make distclean

binary-indep:
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build debian/changelog debian/control \
			 debian/copyright debian/rules
	-rm -f -R debian/tmp
	install --directory debian/tmp debian/tmp/DEBIAN
	make prefix=debian/tmp/usr GZIPDOCS=yes owner=root group=root install
##	cp debian/{postinst,prerm} debian/tmp/DEBIAN/.
##	chmod +x debian/tmp/DEBIAN/{postinst,prerm}
	dpkg-shlibdeps $(BIN) -O >debian/substvars
	chown root.root debian/substvars
	dpkg-gencontrol
	chown -R root.root	debian/tmp
	chmod -R g-ws		debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:	checkdir
	test root = "`whoami`"

checkdir:
	test -f debian/rules

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: all binary binary-arch binary-indep check checkdir checkroot \
	clean diff dist distclean disttest install realclean source tar \
	test uninstall

# vi: set noexpandtab:

## display-dhammapada 0.17

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 SHELL = /bin/sh
 package = display-dhammapada
 Package = $(package)
-VERSION = 0.15
-
+VERSION = 0.17
+
+# ARCHITECTURE is for Linux packages only:
 #ARCHITECTURE = i386
 ARCHITECTURE=$(shell arch="`if test -x /usr/bin/dpkg; \
 	then dpkg --print-architecture; else uname -m; fi`" \
@@ -16,9 +17,14 @@
 
 # install files with this ownership:
 owner=root
-group=staff
-
-install_own = -o $(owner) -g $(group)
+group=wheel
+
+install_own = -o $(owner) -g $$Group
+INSTALL_DATA = install -c    $(install_own) -m 664
+INSTALL_MAN = $(INSTALL_DATA)
+INSTALL_PROGRAM = install -c -s $(install_own) -m 775
+INSTALL_SCRIPT =  install -c $(install_own) -m 775
+MKDIR = install -d $(install_own) -m 2775
 BIN      = display-dhammapada
 BINshort = dp
 CC      = cc
@@ -28,18 +34,19 @@
 	../$(package)_$(VERSION).dsc \
 	../$(package)_$(VERSION).tar.gz
 DEBIAN	= debian/changelog debian/control debian/copyright debian/rules 
-DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog COPYING copyright
-EXAMPLES = examples/profile
+DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog COPYING copyright INSTALL README
+EXAMPLES = examples/profile examples/xsession
 #GZIPDOCS = yes
 SRCS    = $(BIN).c $(Package).spec.in Makefile INSTALL
-prefix  = /usr/local
+PREFIX  = /usr/local
+prefix  = ${PREFIX}
 exec_prefix = $(prefix)
 bindir  = $(exec_prefix)/bin
-docsdir  = $(prefix)/doc/$(Package)
+docsdir  = $(prefix)/share/doc/$(Package)
 examplesdir = $(docsdir)/examples
 datadir  = $(prefix)/share/$(Package)
 # relative symlink from docsdir to datadir:
-relDATADIR = ../../share/$(Package)
+relDATADIR = ../../$(Package)
 DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP)"' \
 	'-DDPPATHNAME2="$(datadir)/$(DP)"' '-DVERSION="$(VERSION)"'
 
@@ -50,28 +57,28 @@
 clean:
 	-rm  -R -f *.o *~ *.bak 1 2 t tmp \#*\# errors* core* \
 		a.out typescript debian/tmp debian/files* debian/substvars* \
-		./stdin ./stdout $(BIN) $(BINshort) $(Package)-*.spec
+		./stdin ./stdout $(BIN) $(BINshort) $(Package)-*.spec \
+		FreeBSD_port/$(Package)/work
 
 debdist $(DEBDIST):	$(DEBIAN) $(DOCS) $(EXAMPLES) $(MAN1) $(SRCS)
 	test -r $$HOME/.pgp/secring.pgp
 	dpkg-buildpackage
 
-dist tar:	clean all $(Package)-$(VERSION).spec
+dist tar:	clean all $(Package)-$(VERSION).lsm $(Package)-$(VERSION).spec
 	-rm -f *.o
 	cd .. && tar -cvzf $(Package)-$(VERSION).tar.gz $(Package)-$(VERSION)/
 	
-
+# should not rm deb files
 distclean: clean
-	-rm ../$(package)_$(VERSION)_$(ARCHITECTURE).deb
 
 disttest:	$(DEBDIST)
 	cp $(addprefix ../$(package)_$(VERSION).,dsc tar.gz) /tmp/
 	cd /tmp && tar -xvzf $(package)_$(VERSION).tar.gz
 	cd /tmp/$(package)-$(VERSION) && \
-			make install test uninstall
+			pmake install test uninstall
 	make rpm
 	rpm --install --force --nodeps /usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-0.$(ARCHITECTURE).rpm
-	rpm -qisv display-dhammapada
+	rpm -qisv $(Package)
 	rm -R -f /tmp/$(package)-$(VERSION)
 	cd /tmp && dpkg-source -x $(package)_$(VERSION).dsc
 	cd /tmp/$(package)-$(VERSION) && \
@@ -83,20 +90,32 @@
 	rm -R -f /tmp/$(package)-$(VERSION)
 
 install:	all $(DOCS) $(MAN1)
-	install -d $(install_own) -m 2775	$(bindir)
-	install -s $(install_own) -m 775	$(BIN)		$(bindir)
+	set -o errexit; set -x; \
+		for group in $(group) wheel staff bin root; \
+		do if install -d -g $$group ./tstdir; \
+		   then \
+			Group=$$group; export Group; \
+			rmdir ./tstdir; \
+			break; \
+		   fi; \
+		done; \
+	test -e $(bindir) || $(MKDIR)	$(bindir); \
+	$(INSTALL_PROGRAM)	$(BIN)		$(bindir); \
 	if [ $(BINshort)_ != _ ]; \
 	then \
 		ln -f -s	$(BIN)		$(bindir)/$(BINshort) \
 		|| ln -f	$(BIN)		$(bindir)/$(BINshort); \
-	fi
-	install -d $(install_own) -m 2775	$(datadir)
-	install    $(install_own) -m 664	$(DP)		$(datadir)
-	install -d $(install_own) -m 2775	$(docsdir)
-	cp -p -f -d				$(DOCS)		$(docsdir)
-	cd $(docsdir) && chown $(owner).$(group) $(DOCS) && chmod 664 $(DOCS)
-	install -d $(install_own) -m 2775	$(examplesdir)
-	install    $(install_own) -m 664	$(EXAMPLES)	$(examplesdir)
+	fi; \
+	test -e $(datadir) || $(MKDIR)	$(datadir); \
+	$(INSTALL_DATA)		$(DP)		$(datadir); \
+	test -e $(docsdir) || $(MKDIR)	$(docsdir); \
+	for f in $(DOCS); do \
+		if test -h $$f; then cp -pf $$f	$(docsdir); \
+				else $(INSTALL_MAN) $$f	$(docsdir); \
+		fi; \
+	done; \
+	test -e $(examplesdir) || $(MKDIR)	$(examplesdir); \
+	$(INSTALL_SCRIPT)	$(EXAMPLES)	$(examplesdir)	# Group is used here
 	[ _$(GZIPDOCS) != _yes ] || gzip --best --force --verbose $(docsdir)/changelog
 	if [ $(datadir) != $(docsdir) ]; \
 	then \
@@ -104,22 +123,50 @@
 		|| ln -f $(relDATADIR)/$(DP) $(docsdir); \
 	fi
 
-realclean: clean
-	-rm $(DEBDIST)
+$(Package)-$(VERSION).lsm lsm:	$(Package).lsm.in
+	-rm -f $(package)*.lsm $(Package)*.lsm
+	[ $(VERSION)x != x ]
+	sed -e 's/$${date}/'`LC_ALL=C date +%d%b%y |tr a-z A-Z`'/g; \
+		s/$${version}/$(VERSION)/g'  $(Package).lsm.in >$(Package)-$(VERSION).lsm
+	touch lsm
+
+port:
+	sed -n -e 's/^Description:[[:space:]]*//p' $(Package).lsm.in \
+		> FreeBSD_port/$(Package)/pkg/COMMENT
+	{ sed -n -e '/^Description:/,/^[^[:space:]]/!d; /^[[:space:]]/p' \
+		$(Package).lsm.in; echo; \
+		echo '- Ricardas Cepas <rch@WriteMe.Com>'; } \
+		> FreeBSD_port/$(Package)/pkg/DESCR
+	cd FreeBSD_port/$(Package)/ # && make makesum
+	cd FreeBSD_port/$(Package)/work/$(Package)-$(VERSION) && make \
+		&& make distclean \
+		&& make group=wheel prefix=/tmp/$(Package) install
+	{ find /tmp/$(Package) -type f -or -type l \
+          |sed -e 's!^'/tmp/$(Package)/'!!'; \
+	  echo @dirrm share/doc/display-dhammapada/examples; \
+	  echo @dirrm share/doc/display-dhammapada; \
+	  echo @dirrm share/display-dhammapada; \
+	} > FreeBSD_port/$(Package)/pkg/PLIST
+
+
+
+realclean: distclean
+	-rm $(DEBDIST) *.lsm
+	
 
 $(Package)-$(VERSION).spec:	$(Package).spec.in
 	-rm -f $(Package)*.spec
 	[ $(VERSION)x != x ]
 	Summary="`sed -n -e 's/^Description:[[:space:]]*//p' \
-						$(Package)-$(VERSION).lsm`" \
+						$(Package).lsm.in`" \
 	&& Copying="`sed -n -e 's/^Copying-policy:[[:space:]]*//p' \
-						$(Package)-$(VERSION).lsm`" \
+						$(Package).lsm.in`" \
 	&& sed -e 's/$${version}/$(VERSION)/g; s/$${summary}/'"$${Summary}"'/g; \
 		 s/$${copying}/'"$${Copying}"/g \
-		 $< >tmp
+		 $(Package).spec.in >tmp
 	sed -n -e '1,/^%description/p' tmp >$@
 	sed -n -e '/^Description:/,/^[^[:space:]]/!d; /^[[:space:]]/p' \
-		$(Package)-$(VERSION).lsm >>$@
+		$(Package).lsm.in >>$@
 	sed -n -e '1,/^%description/!p' tmp >>$@
 	rm -f tmp
 
@@ -142,9 +189,9 @@
 	@echo Testing installation...
 	$(bindir)/$(BIN)
 	-$(bindir)/$(BINshort)
-	. $(examplesdir)/profile
+	sh -c '. $(examplesdir)/profile'
 	@echo -n "Press <enter> ... "
-	@read a
+	@sh -c 'read a'
 
 uninstall:
 	rm -f $(bindir)/$(BIN) $(bindir)/$(BINshort) \

=== FreeBSD_port/display-dhammapada/Makefile ===
# New ports collection makefile for:   display-dhammapada
# Version required:    0.17
# Date created:        20 September 1998
# Whom:                Ricardas Cepas <rch@WriteMe.Com>
#
# $Id$
#

DISTNAME=      display-dhammapada-0.17
CATEGORIES=    misc
MASTER_SITES=  ${MASTER_SITE_SUNSITE}
MASTER_SITE_SUBDIR= apps/religion

MAINTAINER=    Ricardas Cepas <rch@WriteMe.Com>

MAKE_FLAGS= PREFIX="${PREFIX}" INSTALL_DATA="${INSTALL_DATA}" INSTALL_MAN="${INSTALL_MAN}" INSTALL_PROGRAM="${INSTALL_PROGRAM}" INSTALL_SCRIPT="${INSTALL_SCRIPT}" MKDIR="${MKDIR}" -f

do-configure:
	cd ${WRKSRC} && make clean
.include <bsd.port.mk>

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: display-dhammapada
 Section: misc
 Priority: extra
-Maintainer: Ricardas Cepas <rch@debian.org>
+Maintainer: Ricardas Cepas <rch@WriteMe.Com>
 Standards-Version: 2.3.0.1
 
 Package: display-dhammapada

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,10 @@
 			 debian/copyright debian/rules
 	-rm -f -R debian/tmp
 	install --directory debian/tmp debian/tmp/DEBIAN
-	make prefix=debian/tmp/usr GZIPDOCS=yes owner=root group=root install
+	make prefix=debian/tmp/usr GZIPDOCS=yes owner=root group=root \
+		docsdir=debian/tmp/usr/doc/display-dhammapada \
+		relDATADIR=../../share/display-dhammapada \
+		install
 ##	cp debian/{postinst,prerm} debian/tmp/DEBIAN/.
 ##	chmod +x debian/tmp/DEBIAN/{postinst,prerm}
 	dpkg-shlibdeps $(BIN) -O >debian/substvars

## display-dhammapada 0.20

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 SHELL = /bin/sh
 package = display-dhammapada
 Package = $(package)
-VERSION = 0.17
+VERSION = 0.20
 
 # ARCHITECTURE is for Linux packages only:
 #ARCHITECTURE = i386
-ARCHITECTURE=$(shell arch="`if test -x /usr/bin/dpkg; \
-	then dpkg --print-architecture; else uname -m; fi`" \
-	&& if [ "$${arch%%i?86}"y = y ]; then arch=i386; fi \
-	&& echo "$$arch")
+ARCHITECTURE=$(shell if test -x /usr/bin/dpkg; \
+	then dpkg --print-architecture; else uname -m; fi \
+	| sed -e 's/^.*i.86\>.*/i386/'; )
 
 # flags for your C compiler:
 OPT = -O2
@@ -34,8 +33,9 @@
 	../$(package)_$(VERSION).dsc \
 	../$(package)_$(VERSION).tar.gz
 DEBIAN	= debian/changelog debian/control debian/copyright debian/rules 
-DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog COPYING copyright INSTALL README
+DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog copyright INSTALL
 EXAMPLES = examples/profile examples/xsession
+MAN1	= $(Package).1
 #GZIPDOCS = yes
 SRCS    = $(BIN).c $(Package).spec.in Makefile INSTALL
 PREFIX  = /usr/local
@@ -44,18 +44,22 @@
 bindir  = $(exec_prefix)/bin
 docsdir  = $(prefix)/share/doc/$(Package)
 examplesdir = $(docsdir)/examples
+mandir  = $(prefix)/man
 datadir  = $(prefix)/share/$(Package)
 # relative symlink from docsdir to datadir:
 relDATADIR = ../../$(Package)
 DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP)"' \
 	'-DDPPATHNAME2="$(datadir)/$(DP)"' '-DVERSION="$(VERSION)"'
 
-all:	$(BIN)
+all:	$(BIN) $(MAN1)
 
 $(BIN):
 
+$(MAN1):
+	    sed -e's./usr/share/display-dhammapada.$(datadir).g;s./usr/share/doc/display-dhammapada.$(docsdir).g'	<$(Package).1.in >$(MAN1); \
+
 clean:
-	-rm  -R -f *.o *~ *.bak 1 2 t tmp \#*\# errors* core* \
+	-rm  -R -f *.o *~ *.bak *.tmp.1 $(MAN1) 1 2 t tmp \#*\# errors* core* \
 		a.out typescript debian/tmp debian/files* debian/substvars* \
 		./stdin ./stdout $(BIN) $(BINshort) $(Package)-*.spec \
 		FreeBSD_port/$(Package)/work
@@ -64,7 +68,7 @@
 	test -r $$HOME/.pgp/secring.pgp
 	dpkg-buildpackage
 
-dist tar:	clean all $(Package)-$(VERSION).lsm $(Package)-$(VERSION).spec
+dist tar:	clean $(MAN1) $(Package)-$(VERSION).lsm $(Package)-$(VERSION).spec
 	-rm -f *.o
 	cd .. && tar -cvzf $(Package)-$(VERSION).tar.gz $(Package)-$(VERSION)/
 	
@@ -101,6 +105,7 @@
 		done; \
 	test -e $(bindir) || $(MKDIR)	$(bindir); \
 	$(INSTALL_PROGRAM)	$(BIN)		$(bindir); \
+	$(INSTALL_SCRIPT)	xdp		$(bindir); \
 	if [ $(BINshort)_ != _ ]; \
 	then \
 		ln -f -s	$(BIN)		$(bindir)/$(BINshort) \
@@ -108,19 +113,35 @@
 	fi; \
 	test -e $(datadir) || $(MKDIR)	$(datadir); \
 	$(INSTALL_DATA)		$(DP)		$(datadir); \
-	test -e $(docsdir) || $(MKDIR)	$(docsdir); \
-	for f in $(DOCS); do \
-		if test -h $$f; then cp -pf $$f	$(docsdir); \
-				else $(INSTALL_MAN) $$f	$(docsdir); \
-		fi; \
-	done; \
-	test -e $(examplesdir) || $(MKDIR)	$(examplesdir); \
-	$(INSTALL_SCRIPT)	$(EXAMPLES)	$(examplesdir)	# Group is used here
-	[ _$(GZIPDOCS) != _yes ] || gzip --best --force --verbose $(docsdir)/changelog
-	if [ $(datadir) != $(docsdir) ]; \
-	then \
-		ln -f -s $(relDATADIR)/$(DP) $(docsdir) \
-		|| ln -f $(relDATADIR)/$(DP) $(docsdir); \
+	if [ _$$NODOCS = _ ]; then \
+	    $(INSTALL_MAN)		$(MAN1)	$(mandir)/man1; \
+	    test -e $(docsdir) || $(MKDIR)	$(docsdir); \
+	    for f in $(DOCS); do \
+		    test -h $$f || $(INSTALL_MAN) $$f	$(docsdir); \
+	    done; \
+	    ln -s -f copyright $(docsdir)/COPYING \
+	    || ln -f copyright $(docsdir)/COPYING; \
+	    ln -s -f INSTALL $(docsdir)/README \
+	    || ln -f INSTALL $(docsdir)/README; \
+	    test -e $(examplesdir) || $(MKDIR)	$(examplesdir); \
+	    $(INSTALL_SCRIPT)	$(EXAMPLES)	$(examplesdir); \
+	    if [ _$(GZIPDOCS) = _yes -a _$(NOMANCOMPRESS) = _ ]; then \
+		    gzip --best --force --verbose $(docsdir)/changelog $(mandir)/man1/$(MAN1); \
+		    suff=.gz; \
+	    else \
+		    suff=; \
+	    fi; \
+	    ln -f -s $(MAN1)$$suff $(mandir)/man1/xdp.1$$suff \
+	    || ln -f $(MAN1)$$suff $(mandir)/man1/xdp.1$$suff; \
+	    if [ $(BINshort)_ != _ ]; then \
+		ln -f -s $(MAN1)$$suff $(mandir)/man1/$(BINshort).1$$suff \
+		|| ln -f $(MAN1)$$suff $(mandir)/man1/$(BINshort).1$$suff; \
+	    fi; \
+	    if [ $(datadir) != $(docsdir) ]; \
+	    then \
+		    ln -f -s $(relDATADIR)/$(DP) $(docsdir) \
+		    || ln -f $(relDATADIR)/$(DP) $(docsdir); \
+	    fi; \
 	fi
 
 $(Package)-$(VERSION).lsm lsm:	$(Package).lsm.in
@@ -189,45 +210,54 @@
 	@echo Testing installation...
 	$(bindir)/$(BIN)
 	-$(bindir)/$(BINshort)
-	sh -c '. $(examplesdir)/profile'
+	$(bindir)/xdp
 	@echo -n "Press <enter> ... "
 	@sh -c 'read a'
 
 uninstall:
-	rm -f $(bindir)/$(BIN) $(bindir)/$(BINshort) \
-				$(datadir)/$(DP)
-	cd $(docsdir) \
-		&& for f in $(DOCS); do rm -f $$f $$f.gz; done
-	cd $(examplesdir) \
+	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) \
+		$(mandir)/man1/$(MAN1) $(mandir)/man1/xdp.1 \
+		$(mandir)/man1/$(MAN1).gz $(mandir)/man1/xdp.1.gz
+	if [ $(BINshort)_ != _ ]; then \
+		rm -f $(mandir)/man1/$(BINshort).1 $(mandir)/man1/$(BINshort).1.gz; \
+	fi
+	-cd $(docsdir) \
+		&& for f in $(DOCS); do rm -f $$f $$f.gz; done; rm -f COPYING README $(Package)-*.lsm
+	-cd $(examplesdir) \
 		&& for f in $(EXAMPLES); \
 			do rm -f $${f##*/} $${f##*/}.gz; done
 	-rmdir $(examplesdir) 
 	-rmdir $(datadir) $(docsdir)
 
-UPHOST=sunsite.unc.edu
-upload: #dist debdist ../$(Package)-$(VERSION).tar.gz $(Package)-$(VERSION).lsm
+upload: upload_main #dist debdist ../$(Package)-$(VERSION).tar.gz $(Package)-$(VERSION).lsm
 	[ $(VERSION)x != x ]
 	[ "`rpm --checksig \
 		/usr/src/redhat/SRPMS/$(Package)-$(VERSION)-*.src.rpm \
 		/usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-*.$(ARCHITECTURE).rpm \
 	| grep -c 'pgp md5 OK$$'`" = 2 ]
-	set -x; xPWD=`pwd` && echo -e \
-	   open -r -d 10 ftp.redhat.com\\n \
-	   cd /pub/Incoming\\n \
+	set -x; xPWD=`pwd` && echo -e open -r -d 10 incoming.redhat.com\\n \
+	   cd /libc6 \\n \
 	   mput /usr/src/redhat/SRPMS/$(Package)-$(VERSION)-*.src.rpm \
 	    /usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-*.rpm\\n \
 	   dir $(Package)-$(VERSION)-0.src.rpm $(Package)-$(VERSION)-0.i386.rpm\\n \
 	   redir \>$$xPWD/../$(Package)-$(VERSION).ftp.redhat.com\\n \
 	| ncftp
+#	dupload --to erlangen ../$(package)_$(VERSION)_$(ARCHITECTURE).changes
+	echo -ne \\a
+	sleep 1s
+	echo -ne \\a
+
+UPHOST=metalab.unc.edu
+upload_main:
 	set -x; xPWD=`pwd` && echo -e open -r -d 10 $(UPHOST)\\n \
 	   cd /incoming/Linux\\n \
 	   lcd $$xPWD\\n \
-	   mput ../$(Package)-$(VERSION).tar.gz $(Package)-$(VERSION).lsm\\n \
+	   mput $(Package)-$(VERSION).lsm\\n \
+	   lcd ..\\n \
+	   mput $(Package)-$(VERSION).tar.gz \\n \
 	   dir $(Package)*\\n \
-	   redir $(Package)* \>../$(Package)-$(VERSION).$(UPHOST)\\n \
+	   redir $(Package)* \>$(Package)-$(VERSION).$(UPHOST)\\n \
 	| ncftp
-	dupload --to erlangen ../$(package)_$(VERSION)_$(ARCHITECTURE).changes
 
 # vi: set noexpandtab:
 
-

=== FreeBSD_port/display-dhammapada/Makefile ===
# New ports collection makefile for:   display-dhammapada
# Version required:    0.20
# Date created:        20 September 1998
# Whom:                Ricardas Cepas <rch@WriteMe.Com>
#
# $Id$
#

DISTNAME=      display-dhammapada-0.20
CATEGORIES=    misc
MASTER_SITES=  ${MASTER_SITE_SUNSITE}
MASTER_SITE_SUBDIR= apps/religion

MAINTAINER=    Ricardas Cepas <rch@WriteMe.Com>

MAKE_FLAGS= PREFIX="${PREFIX}" INSTALL_DATA="${INSTALL_DATA}" INSTALL_MAN="${INSTALL_MAN}" INSTALL_PROGRAM="${INSTALL_PROGRAM}" INSTALL_SCRIPT="${INSTALL_SCRIPT}" MKDIR="${MKDIR}" NODOCS=${NOPORTDOCS} GZIPDOCS=yes NOMANCOMPRESS=${NOMANCOMPRESS} -f

do-configure:
	cd ${WRKSRC} && make clean
.include <bsd.port.mk>

## display-dhammapada 0.21

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL = /bin/sh
 package = display-dhammapada
 Package = $(package)
-VERSION = 0.20
+VERSION = 0.21
 
 # ARCHITECTURE is for Linux packages only:
 #ARCHITECTURE = i386
@@ -28,13 +28,14 @@
 BINshort = dp
 CC      = cc
 DP       = dhammapada-english-transl.txt
+DPALT    = dhammapada-alternate.txt
 DEBDIST	= ../$(package)_$(VERSION)_$(ARCHITECTURE).changes \
 	../$(package)_$(VERSION)_$(ARCHITECTURE).deb \
 	../$(package)_$(VERSION).dsc \
 	../$(package)_$(VERSION).tar.gz
 DEBIAN	= debian/changelog debian/control debian/copyright debian/rules 
-DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog copyright INSTALL
-EXAMPLES = examples/profile examples/xsession
+DOCS     = $(DP) $(DPALT) $(Package)-$(VERSION).lsm changelog copyright INSTALL
+EXAMPLES = examples/profile examples/xsession examples/amortips
 MAN1	= $(Package).1
 #GZIPDOCS = yes
 SRCS    = $(BIN).c $(Package).spec.in Makefile INSTALL
@@ -48,14 +49,13 @@
 datadir  = $(prefix)/share/$(Package)
 # relative symlink from docsdir to datadir:
 relDATADIR = ../../$(Package)
-DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP)"' \
-	'-DDPPATHNAME2="$(datadir)/$(DP)"' '-DVERSION="$(VERSION)"'
+DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP):$(datadir)/$(DP)"' '-DDPPATHNAME_ALT="$(docsdir)/$(DPALT):$(datadir)/$(DPALT)"' '-DVERSION="$(VERSION)"'
 
 all:	$(BIN) $(MAN1)
 
 $(BIN):
 
-$(MAN1):
+$(MAN1):	$(Package).1.in
 	    sed -e's./usr/share/display-dhammapada.$(datadir).g;s./usr/share/doc/display-dhammapada.$(docsdir).g'	<$(Package).1.in >$(MAN1); \
 
 clean:
@@ -113,6 +113,7 @@
 	fi; \
 	test -e $(datadir) || $(MKDIR)	$(datadir); \
 	$(INSTALL_DATA)		$(DP)		$(datadir); \
+	$(INSTALL_DATA)		$(DPALT)	$(datadir); \
 	if [ _$$NODOCS = _ ]; then \
 	    $(INSTALL_MAN)		$(MAN1)	$(mandir)/man1; \
 	    test -e $(docsdir) || $(MKDIR)	$(docsdir); \
@@ -139,8 +140,8 @@
 	    fi; \
 	    if [ $(datadir) != $(docsdir) ]; \
 	    then \
-		    ln -f -s $(relDATADIR)/$(DP) $(docsdir) \
-		    || ln -f $(relDATADIR)/$(DP) $(docsdir); \
+		    ln -f -s $(relDATADIR)/$(DP) $(docsdir) || ln -f $(relDATADIR)/$(DP) $(docsdir); \
+		    ln -f -s $(relDATADIR)/$(DPALT) $(docsdir) || ln -f $(relDATADIR)/$(DPALT) $(docsdir); \
 	    fi; \
 	fi
 
@@ -215,7 +216,7 @@
 	@sh -c 'read a'
 
 uninstall:
-	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) \
+	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) $(datadir)/$(DPALT) \
 		$(mandir)/man1/$(MAN1) $(mandir)/man1/xdp.1 \
 		$(mandir)/man1/$(MAN1).gz $(mandir)/man1/xdp.1.gz
 	if [ $(BINshort)_ != _ ]; then \

## display-dhammapada 0.23

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL = /bin/sh
 package = display-dhammapada
 Package = $(package)
-VERSION = 0.21
+VERSION = 0.23
 
 # ARCHITECTURE is for Linux packages only:
 #ARCHITECTURE = i386
@@ -11,8 +11,12 @@
 
 # flags for your C compiler:
 OPT = -O2
-WARN = -ansi -Wall -Wno-unused
-CFLAGS  = $(OPT) $(WARN) $(DEFS)
+WARN = -ansi -Wall -Wno-unused -Wno-parentheses
+CFLAGS = $(OPT) $(WARN) $(DEFS) -I/usr/local/include
+# if you get undefined reference to `iconv_open' add this:
+# CFLAGS += -L/usr/local/lib -liconv
+# Or you may get rid off locale support completely:
+# CFLAGS += -DNO_LOCALE
 
 # install files with this ownership:
 owner=root
@@ -29,12 +33,13 @@
 CC      = cc
 DP       = dhammapada-english-transl.txt
 DPALT    = dhammapada-alternate.txt
+DPPL     = dhammapada-polish-transl.txt
 DEBDIST	= ../$(package)_$(VERSION)_$(ARCHITECTURE).changes \
 	../$(package)_$(VERSION)_$(ARCHITECTURE).deb \
 	../$(package)_$(VERSION).dsc \
 	../$(package)_$(VERSION).tar.gz
 DEBIAN	= debian/changelog debian/control debian/copyright debian/rules 
-DOCS     = $(DP) $(DPALT) $(Package)-$(VERSION).lsm changelog copyright INSTALL
+DOCS     = $(DP) $(DPALT) $(DPPL) $(Package)-$(VERSION).lsm changelog copyright INSTALL
 EXAMPLES = examples/profile examples/xsession examples/amortips
 MAN1	= $(Package).1
 #GZIPDOCS = yes
@@ -49,7 +54,7 @@
 datadir  = $(prefix)/share/$(Package)
 # relative symlink from docsdir to datadir:
 relDATADIR = ../../$(Package)
-DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP):$(datadir)/$(DP)"' '-DDPPATHNAME_ALT="$(docsdir)/$(DPALT):$(datadir)/$(DPALT)"' '-DVERSION="$(VERSION)"'
+DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP):$(datadir)/$(DP)"' '-DDPPATHNAME_ALT="$(docsdir)/$(DPALT):$(datadir)/$(DPALT)"' '-DDPPATHNAME_PL="$(docsdir)/$(DPPL):$(datadir)/$(DPPL)"' '-DVERSION="$(VERSION)"'
 
 all:	$(BIN) $(MAN1)
 
@@ -114,6 +119,7 @@
 	test -e $(datadir) || $(MKDIR)	$(datadir); \
 	$(INSTALL_DATA)		$(DP)		$(datadir); \
 	$(INSTALL_DATA)		$(DPALT)	$(datadir); \
+	$(INSTALL_DATA)		$(DPPL)		$(datadir); \
 	if [ _$$NODOCS = _ ]; then \
 	    $(INSTALL_MAN)		$(MAN1)	$(mandir)/man1; \
 	    test -e $(docsdir) || $(MKDIR)	$(docsdir); \
@@ -142,6 +148,7 @@
 	    then \
 		    ln -f -s $(relDATADIR)/$(DP) $(docsdir) || ln -f $(relDATADIR)/$(DP) $(docsdir); \
 		    ln -f -s $(relDATADIR)/$(DPALT) $(docsdir) || ln -f $(relDATADIR)/$(DPALT) $(docsdir); \
+		    ln -f -s $(relDATADIR)/$(DPPL) $(docsdir) || ln -f $(relDATADIR)/$(DPPL) $(docsdir); \
 	    fi; \
 	fi
 
@@ -216,7 +223,7 @@
 	@sh -c 'read a'
 
 uninstall:
-	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) $(datadir)/$(DPALT) \
+	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) $(datadir)/$(DPALT) $(datadir)/$(DPPL) \
 		$(mandir)/man1/$(MAN1) $(mandir)/man1/xdp.1 \
 		$(mandir)/man1/$(MAN1).gz $(mandir)/man1/xdp.1.gz
 	if [ $(BINshort)_ != _ ]; then \
@@ -251,7 +258,7 @@
 UPHOST=metalab.unc.edu
 upload_main:
 	set -x; xPWD=`pwd` && echo -e open -r -d 10 $(UPHOST)\\n \
-	   cd /incoming/Linux\\n \
+	   cd /incoming/linux\\n \
 	   lcd $$xPWD\\n \
 	   mput $(Package)-$(VERSION).lsm\\n \
 	   lcd ..\\n \

## display-dhammapada 1.0

=== Makefile ===
SHELL = /bin/sh
package = display-dhammapada
Package = $(package)
VERSION = 1.0

## Path
prefix = /usr
PREFIX = $(prefix)
exec_prefix = /usr
bindir = $(prefix)/bin
datadir = $(prefix)/share/$(package)
icondir = $(prefix)/share/icons/$(package)
docdir = $(prefix)/share/doc/$(package)
mandir = $(prefix)/share/man
man1dir = $(mandir)/man1

## Install
INSTALL_DATA = install -m 644
INSTALL_PROGRAM = install -m 755
MKDIR = install -d -m 755
BIN      = $(package)
BINshort = dhamma
CC      = cc
DP       = dhammapada-english-transl.txt
DPALT    = dhammapada-alternate.txt
DPPL     = dhammapada-polish-transl.txt
DOCS     = changelog copyright INSTALL
MAN1	= $(Package).1
ICON1 = buddha1.png
ICON2 = buddha2.png
ICON3 = enso.png
ICON4 = lotus.png

# package
DISTFILES = display-dhammapada.spec Makefile bin doc icons man src dhammapada debian

all:	options $(BIN)

options:
# These options are used only if CFLAGS
# are not set on the command line or by
# your package manager.
ifeq ($(strip $(CFLAGS)),)
OPT = -O2
WARN = -ansi -Wall -Wno-unused -Wno-parentheses
CFLAGS = $(OPT) $(WARN)
endif

$(BIN): 
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o bin/$(package)  src/$(package).c
	
	
clean:
	-rm -f bin/$(package) 
	-rm -rf $(package)-$(VERSION)
	-rm -f ./*bak ./*~
	-rm -f ./*/*.bak ./*/*~

distclean: clean
	-rm -f ../$(package)-$(VERSION).tar.gz

dist:
	test -e $(package)-$(VERSION) || mkdir $(package)-$(VERSION)
	cp -R $(DISTFILES) $(package)-$(VERSION)
	tar czf ../$(package)-$(VERSION).tar.gz $(package)-$(VERSION)
	-rm -rf $(package)-$(VERSION)

installdirs:
	test -e $(DESTDIR)$(bindir)	|| $(MKDIR) -p $(DESTDIR)$(bindir)
	test -e $(DESTDIR)$(datadir)	|| $(MKDIR) -p $(DESTDIR)$(datadir)
	test -e $(DESTDIR)$(docdir)	|| $(MKDIR) -p $(DESTDIR)$(docdir)
	test -e $(DESTDIR)$(icondir)	|| $(MKDIR) -p $(DESTDIR)$(icondir)
	test -e $(DESTDIR)$(mandir)	|| $(MKDIR) -p $(DESTDIR)$(mandir)
	test -e $(DESTDIR)$(man1dir)	|| $(MKDIR) -p $(DESTDIR)$(man1dir)

install: installdirs
	# Install programs
	$(INSTALL_PROGRAM)	bin/$(BIN) 	$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM)	bin/xdhamma	$(DESTDIR)$(bindir)
	cd $(DESTDIR)$(bindir); \
	ln -fs $(BIN) $(BINshort)
	
	# Install data
	$(INSTALL_DATA)		dhammapada/$(DP)	$(DESTDIR)$(datadir)
	$(INSTALL_DATA)		dhammapada/$(DPALT)	$(DESTDIR)$(datadir)
	$(INSTALL_DATA)		dhammapada/$(DPPL)	$(DESTDIR)$(datadir)

	# Install documentation
	$(INSTALL_DATA) doc/changelog $(DESTDIR)$(docdir)
	$(INSTALL_DATA) doc/changelog.Debian $(DESTDIR)$(docdir)
	$(INSTALL_DATA) doc/copyright $(DESTDIR)$(docdir)
	$(INSTALL_DATA) doc/README $(DESTDIR)$(docdir)

	# Install icons
	$(INSTALL_DATA) icons/$(ICON1) $(DESTDIR)$(icondir)
	$(INSTALL_DATA) icons/$(ICON2) $(DESTDIR)$(icondir)
	$(INSTALL_DATA) icons/$(ICON3) $(DESTDIR)$(icondir)
	$(INSTALL_DATA) icons/$(ICON4) $(DESTDIR)$(icondir)

	# Install man
	$(INSTALL_DATA) man/$(MAN1) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) man/xdhamma.1 $(DESTDIR)$(man1dir)
	gzip $(DESTDIR)$(man1dir)/$(MAN1)
	gzip $(DESTDIR)$(man1dir)/xdhamma.1
	cd $(DESTDIR)$(man1dir); \
	ln -sf $(MAN1).gz dhamma.1.gz; 
	
uninstall:
	rm -rf $(DESTDIR)$(bindir)/$(BIN) $(DESTDIR)$(bindir)/xdhamma \
	$(DESTDIR)$(bindir)/$(BINshort) $(DESTDIR)$(datadir) \
	$(DESTDIR)$(docdir) $(DESTDIR)$(icondir) \
	$(DESTDIR)$(man1dir)/xdhamma.1.gz $(DESTDIR)$(man1dir)/dhamma.1.gz \
	$(DESTDIR)$(man1dir)/$(MAN1).gz

=== debian/changelog ===
display-dhammapada (1.0-2) unstable; urgency=medium

  * QA upload.
  * Do not recommend linotify-bin
    Closes: #1112572
  * d/watch: version=5
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Dec 2025 11:32:54 +0100

display-dhammapada (1.0-1) unstable; urgency=medium

  * QA upload.
  * Maintainer: Debian QA Group <packages@qa.debian.org>
    Closes: #1104645
  * Point Homepage to wayback machine
    Closes: #806340
  * Fake watch file since upstream site vanished
  * Add debian/README.Debian to explain problem to update database
  * d/rules is no sample
  * Install debian/README
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 0.21-2.
  * Review d/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 26 Jul 2025 09:45:59 +0200

display-dhammapada (1.0-0.1) unstable; urgency=low
  * All below mentioned work done by bodhizazen@fedoraproject.org
  * New upstream version.
  * New upstream maintainer
  - bodhi.zazen <bodhizazen at fedoraproject.org>
  -http://bodhizazen.net/display-dhammapada
  *display-dhammapada.c
  -Changed copyright from Public License  to GPL v3
  * Patched display-dhammapada.c
  -Fixed warnings
  -Paul Tagliamonte <paultag@ubuntu.com>
  -Path changed from /usr/local to /usr
  * contrib/gtk-dhammapada.c removed, it no longer compiles
  * short version renamed to dhamma
  * graphical wrapper renamed to xdhamma
  * xdhamma was re-written
  -Uses notify-send rather the xmessage
  -Added icon set for notify-send
  -Able to select translation
  -License GPL V3
  *Makefile re-written
  -Removed script to gpg sign packages
  -Removed script to upload source code
  -Set default prefix to /usr
  -Documents moved to /usr/share/doc/display-dhammapada
  -Translations moved to /usr/share/display-dhammapada
  -configured make to run as a user rather then root
  -set permissions (dir 755 files 644)
  -check if CFLAGS were passed on the command line
  -test and if needed create target (install) directories
  -cleaned dist, clean, and uninstall targets
  *Verse 50 of dhammapada-english-transl.txt
  - "no the shortcomings" changed to
  - "not the shortcomings"
  *Verse 127 in dhammapada-alternate.txt corrected - it was duplicate to 128
  -http://forum.soft32.com/linux2/Bug-169539-Missing-verse-Max-Mueller-\
  translation-ftopict67280.html
  *Information from examples/* added to man page
  -examples/* removed
  *Updated man pages
  -(Closes: #677832)
  -(Closes: LP: #1014195)
  -fixed macros
  -updated reference URL
  *Updated README to include more information
  *Organized the files into sub-directories
  *Added icons for xdhamma (notify-send)
  *copyright file updated

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Mon, 25 Jun 2012 14:05:45 -0600

display-dhammapada (0.23-7) unstable; urgency=low

  * description in debian/control was told to be in violation with Policy 3.4.1
    paragraph 2 and 3.4.2 paragraph 2. (Closes: #566742)
  * Some minor changes to get rid of lintian warnings.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Sun, 28 Feb 2010 18:27:07 +0100

display-dhammapada (0.23-6) unstable; urgency=low

  * xbase-clients is replaced by x11-utils.
  * In manpage .DD, .Bd, .Ed are removed.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Wed, 24 Dec 2008 10:52:04 +0100

display-dhammapada (0.23-5) unstable; urgency=low

  * Verse 127 in dhammapada-alternate.txt corrected - it was duplicate to 128
    before. Proper version received from alt.religion.buddhism. Information
    about that mistake has been send to upstream. (Closes: #169539)
  * Upstream Makefile corrected - stripping option removed from install.
    (Closes: #436769)
  * Package description contains now short explanation about "Dhammapada"
    itself. (Closes: #440696)
  * Some minor changes to get rid of lintian warnings.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Wed, 10 Oct 2007 15:53:38 +0200

display-dhammapada (0.23-4) unstable; urgency=low

  * debian/rules file corrected, prefix was wrong and program could not find
    data files.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Fri, 26 Jan 2007 14:42:48 +0100

display-dhammapada (0.23-3) unstable; urgency=low


  * debian/templates moved to debian/NEWS.Debian (Closes: #402300)
  * some minor lintian warnings corrected.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Mon,  8 Jan 2007 12:30:45 +0100

display-dhammapada (0.23-2) unstable; urgency=low

  * Amaya: Jakub fixes all I broke :)

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Mon, 13 Nov 2006 13:41:52 +0100

display-dhammapada (0.23-1) unstable; urgency=high

  * New maintainer (Closes: #285159)
  * New upstream version (Closes: #285157)
  * Author of Polish translation agreed to use Creative Commons Public Domain
    Dedication as a license: http://creativecommons.org/licenses/publicdomain
    (Closes: #285156)
  * Added gtk-dhammapada (support by Wojciech Mula)
  * dp name changed to dhamma, xdp changed to xdhamma
  * xdhamma has been modified to display properly Polish messages (patch
    prepared by Wojciech Mula)
  * Some clearance to make the package lintian clean.
  * Sponsored upload, some polishing by Amaya Rodrigo <amaya@debian.org>:
    - Repackaged from scratch. debian/compat = 5
    - Updated Standars version, no changes needed.
    - Reformatted Copyright and debian/copyright files.
    - urgency=high because #285156 is RC.
    - Ack previous NMU (Closes: #359390).
    - Heavily cleaned upstream's Makefile

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Mon, 13 Nov 2006 13:41:52 +0100

display-dhammapada (0.21-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc/ link in postinst (Closes: #359390).



=== debian/control ===
Source: display-dhammapada
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/display-dhammapada
Vcs-Git: https://salsa.debian.org/debian/display-dhammapada.git
Homepage: https://web.archive.org/web/20170418044544/http://bodhizazen.net/display-dhammapada

Package: display-dhammapada
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: x11-utils
Description: fortune-like collection of Buddhist sayings
 This program displays a random verse from the English or Polish translations of
 the Dhammapada, a "versified Buddhist scripture traditionally ascribed to the
 Buddha himself" (from http://en.wikipedia.org/wiki/Dhammapada).
 .
 As this program works similarly to fortune, one may use it in shell profiles
 or .sig generators, among others.

=== debian/watch ===
Version: 5

Dversion-Mangle: s/.*/0.No-Release/
Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# No upstream site any more, see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=806340#10

## display-dhammapada 2.0

=== debian/changelog ===
display-dhammapada (2.0-1) unstable; urgency=medium

  * New maintainer. (Closes: #1123519)
  * New upstream version 2.0.
  * debian/control:
    - Source paragraph:
      + Bump Standards-Version to 4.7.3.
      + Update Homepage filed.
      + Update Build-Depends.
      + Modify Section from misc to games.
    - Package: display-dhammapada:
      + Update Architecture to all.
      + Add Depends "fortunes-dhammapada".
      + Update Description field, adding German.
    - Add "Package: fortunes-dhammapada" paragraph.
  * debian/copyright:
    - Remove invalid paragraphs.
    - Restore Debian contributors according to d/changelog.
    - Update Source field.
  * debian/rules:
    - Add override_dh_auto_build to clean up and convert from
      text to .dat.
  * Create debian/display-dhammapada.install &
    debian/fortunes-dhammapada.install.
  * Create debian/*.manpages.
  * Remove outdated debian/README.Debian, as upstream is now active.
  * Remove debian/README and create debian/README.upstream.
  * debian/watch:
    - Fallback to version 4 to pass mentors.debian.org tests.
    - Update to fit in with the new upstream.
  * debian/patches/fix_display-dhammapada.patch:
    - usr/local/bin/display-dhammapada:
      + Fix non-standard regular expression.
      + Use GAWK=$(which awk) instead to ensure
        that no new dependence "gawk" is needed.
      + Fix spelling errors(6erse -> verse).

 -- Haolin Xue <tzbkk@outlook.com>  Wed, 28 Jan 2026 00:41:31 +0800

=== debian/control ===
Source: display-dhammapada
Section: games
Priority: optional
Maintainer: Haolin Xue <tzbkk@outlook.com>
Build-Depends: debhelper-compat (= 13), fortune-mod
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/display-dhammapada
Vcs-Git: https://salsa.debian.org/debian/display-dhammapada.git
Homepage: https://gitlab.com/bodhi.zazen/display-dhammapada

Package: display-dhammapada
Architecture: all
Depends: ${misc:Depends}, fortunes-dhammapada (= ${source:Version})
Description: fortune-like displayer of Buddhist sayings
 This program displays a random verse from the English, German and Polish
 translations of the Dhammapada, a "versified Buddhist scripture traditionally
 ascribed to the Buddha himself" (from http://en.wikipedia.org/wiki/Dhammapada).
 .
 As this program works similarly to fortune, one may use it in shell profiles
 or .sig generators, among others.

Package: fortunes-dhammapada
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Description: Collection of Dhammapada in English, German and Polish
 The package contains a collection of English, German and Polish translations
 of Dhammapada.
 .
 There are 2 editions of English translation. One was translated by John
 Richards, the other by Tom Weiss (tom@iname.com) based on the Gutenberg file
 'dhmpd10.txt' which is in the public domain.
 .
 The German version was translated by Karl Eugen Neumann, which is under public
 domain license.
 .
 The Polish version was translated to polish language on base of Acharaya
 Buddharakkhitta's Pali to English translation by Zbigniew Becker. It is not
 copyrighted.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	rm -f install.display-dhammapada.sh
	rm -f install.fortune-dhammapada.sh
	strfile usr/share/games/fortune/dhammapada
	strfile usr/share/games/fortune/dhammapada.de
	strfile usr/share/games/fortune/dhammapada.m
	strfile usr/share/games/fortune/dhammapada.pl
	mv man/fortune-dhammapada.1 man/fortunes-dhammapada.6
	mv man/display-dhammapada.1 man/display-dhammapada.6

=== debian/watch ===
version=4

opts="searchmode=plain,\
downloadurlmangle=s|display-dhammapada-full\.([\d\.]+)(\.tar\.[a-z0-9]+)|https://gitlab.com/bodhi.zazen/display-dhammapada/-/raw/main/display-dhammapada-full.\$1\$2|,\
filenamemangle=s/display-dhammapada-full\.([\d\.]+).*/display-dhammapada_\$1.orig.tar.xz/" \
https://gitlab.com/api/v4/projects/bodhi.zazen%2Fdisplay-dhammapada/repository/tree?ref=main \
display-dhammapada-full\.([\d\.]+)(?:\.tar\.(?:xz|gz|bz2))
